Bug 1047611 - Review Request: php-phpseclib-net-ssh2 - Pure-PHP implementation of SSHv2
Summary: Review Request: php-phpseclib-net-ssh2 - Pure-PHP implementation of SSHv2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1047599 1047600 1047601 1047603 1047604 1047605 1047609 1047610
Blocks: 1047612
TreeView+ depends on / blocked
 
Reported: 2014-01-01 03:33 UTC by Adam Williamson
Modified: 2014-02-25 18:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-26 00:39:34 UTC
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
phpci.log (16.51 KB, text/plain)
2014-01-17 13:20 UTC, Remi Collet
no flags Details
review.txt (9.50 KB, text/plain)
2014-01-17 13:21 UTC, Remi Collet
no flags Details

Description Adam Williamson 2014-01-01 03:33:13 UTC
Spec URL: https://www.happyassassin.net/reviews/php-phpseclib-Net-SSH2/php-phpseclib-Net-SSH2.spec
SRPM URL: https://www.happyassassin.net/reviews/php-phpseclib-Net-SSH2/php-phpseclib-Net-SSH2-0.3.5-1.fc21.src.rpm
Description: Pure-PHP implementation of SSHv2.
Fedora Account System Username: adamwill

Patched slightly to account for the renaming of the phpseclib Blowfish library to avoid a conflict with the PEAR one. See https://bugzilla.redhat.com/show_bug.cgi?id=1047601 (Blowfish review).

Comment 2 Remi Collet 2014-01-11 07:44:13 UTC
The patch don't apply...

Seems to work:

%prep
%setup -q -c

cd %{pear_name}-%{version}
sed -e 's/\r//' -i SSH2.php
%patch0 -p2
sed -e '/SSH2.php/s/md5sum="[^"]*"//' \
    ../package.xml >%{name}.xml

Comment 3 Remi Collet 2014-01-11 07:45:30 UTC
Requires:       php-pear(PEAR)
Requires:       php-pear(PEAR) >= 1.4.0

The second can be dropped.

Comment 5 Remi Collet 2014-01-17 13:20:23 UTC
Created attachment 851593 [details]
phpci.log

phpcompatinfo version 2.26.0.

Comment 6 Remi Collet 2014-01-17 13:21:12 UTC
Created attachment 851595 [details]
review.txt

Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1047611

Comment 7 Remi Collet 2014-01-17 13:22:25 UTC
No blocker.

== APPROVED ==

Comment 8 Adam Williamson 2014-01-17 23:01:48 UTC
New Package SCM Request
=======================
Package Name: php-phpseclib-net-ssh2
Short Description: Pure-PHP implementation of SSHv2
Owners: adamwill
Branches: f20 el6 epel7
InitialCC:

Comment 9 Gwyn Ciesla 2014-01-21 14:07:10 UTC
Git done (by process-git-requests).

Comment 10 Adam Williamson 2014-01-26 00:39:34 UTC
Built for Rawhide.

Comment 11 Adam Williamson 2014-02-24 03:23:03 UTC
Package Change Request
======================
Package Name: php-phpseclib-net-ssh2
New Branches: f19

Comment 12 Gwyn Ciesla 2014-02-24 13:30:58 UTC
No owners specified.

Comment 13 Adam Williamson 2014-02-25 18:26:45 UTC
Package Change Request
======================
Package Name: php-phpseclib-net-ssh2
New Branches: f19
Owners: adamwill

Comment 14 Gwyn Ciesla 2014-02-25 18:51:29 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.